org.mariadb.jdbc.internal.common.queryresults

## Class PrepareResult

- java.lang.Object
- - org.mariadb.jdbc.internal.common.queryresults.PrepareResult

    public class PrepareResult
    extends Object

### Field Summary

Fields
`MySQLColumnInformation[]` `columns`
`MySQLColumnInformation[]` `parameters`
`int` `statementId`

### Constructor Summary

Constructors
Constructor and Description
`PrepareResult(int statementId, MySQLColumnInformation[] columns, MySQLColumnInformation[] parameters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUse()`
`int` `getUseTime()`
`boolean` `hasToBeClose()`
`void` `removeUse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### statementId

    public int statementId

#### columns

    public MySQLColumnInformation[] columns

#### parameters

    public MySQLColumnInformation[] parameters

### Constructor Detail

#### PrepareResult

    public PrepareResult(int statementId,
                         MySQLColumnInformation[] columns,
                         MySQLColumnInformation[] parameters)

### Method Detail

#### addUse

    public void addUse()

#### removeUse

    public void removeUse()

#### hasToBeClose

    public boolean hasToBeClose()

#### getUseTime

    public int getUseTime()